
import "DhorPlugins.Travel";

travel = TravelWindow();
travel:SetVisible( true );

travelCommand = Turbine.ShellCommand();

function travelCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		travel:SetVisible( true );
	elseif ( arguments == "hide" ) then
		travel:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		travel:SetVisible( not travel:IsVisible() );
	elseif ( arguments == "dump" ) then
		travel:DoDump();
	elseif ( arguments ~= nil ) then
		travelCommand:GetHelp();
	end
end

function travelCommand:GetHelp()
	Turbine.Shell.WriteLine( "Travel\n\ntrav show: Display the Travel Window");
	Turbine.Shell.WriteLine( "trav hide: Hides the Travel Window");
	Turbine.Shell.WriteLine( "trav toggle: Toggle the Travel Window");
end

Turbine.Shell.AddCommand( "trav,travel", travelCommand );
